Crash [@ nsFixedSizeAllocator::Free] after mochitest-2 runs

RESOLVED WORKSFORME

Status

()

defect
--
critical
RESOLVED WORKSFORME
10 years ago
7 years ago

People

(Reporter: Ehsan, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
macOS
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Reporter

Description

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261094177.1261094757.3486.gz#err1
OS X 10.5.2 mozilla-central opt test mochitests-2/5 on 2009/12/17 15:56:17

Crash reason:  EXC_BAD_ACCESS / KERN_PROTECTION_FAILURE
Crash address: 0x1c

Thread 0 (crashed)
 0  XUL!nsFixedSizeAllocator::Free(void*, unsigned long) [nsFixedSizeAllocator.cpp:9c68bcd8515e : 96 + 0x0]
    eip = 0x029cfbbe   esp = 0xbfffa650   ebp = 0xbfffa658   ebx = 0x022cf164
    esi = 0x00000000   edi = 0x0ed4bbb0   eax = 0x0000001c   ecx = 0x0f5691e0
    edx = 0x00000000   efl = 0x00210246
    Found by: given as instruction pointer in context
 1  XUL!nsNodeInfo::Release() [nsNodeInfo.cpp:9c68bcd8515e : 312 + 0x19]
    eip = 0x022cf23f   esp = 0xbfffa660   ebp = 0xbfffa698
    Found by: previous frame's frame pointer
 2  XUL!nsCategoryObserver::Release() [nsCOMPtr.cpp : 81 + 0x7]
    eip = 0x029c1ec4   esp = 0xbfffa6a0   ebp = 0xbfffa6b8
    Found by: previous frame's frame pointer
 3  XUL + 0x461f25
    eip = 0x022e9f26   esp = 0xbfffa6c0   ebp = 0xbfffa6d8
    Found by: previous frame's frame pointer
 4  XUL!nsNodeUtils::LastRelease(nsINode*) [nsNodeUtils.cpp:9c68bcd8515e : 274 + 0x7]
    eip = 0x022d114a   esp = 0xbfffa6e0   ebp = 0xbfffa728
    Found by: previous frame's frame pointer
 5  XUL!nsGenericDOMDataNode::Release() [nsGenericDOMDataNode.cpp:9c68bcd8515e : 143 + 0x7]
    eip = 0x022b923f   esp = 0xbfffa730   ebp = 0xbfffa748
    Found by: previous frame's frame pointer
 6  XUL!nsXPCOMCycleCollectionParticipant::Unroot(void*) [nsCycleCollectionParticipant.cpp : 74 + 0x7]
    eip = 0x029c74f1   esp = 0xbfffa750   ebp = 0xbfffa768
    Found by: previous frame's frame pointer
 7  XUL!nsCycleCollector::CollectWhite() [nsCycleCollector.cpp:9c68bcd8515e : 1849 + 0x10]
    eip = 0x02a1386d   esp = 0xbfffa770   ebp = 0xbfffa7a8
    Found by: previous frame's frame pointer
 8  XUL!NS_CycleCollectorForget_P [nsCycleCollector.cpp:9c68bcd8515e : 2695 + 0x7]
    eip = 0x02a13ee7   esp = 0xbfffa7b0   ebp = 0xbfffa7d8
    Found by: previous frame's frame pointer
 9  XUL!XPCCycleCollectGCCallback [nsXPConnect.cpp:9c68bcd8515e : 403 + 0x4]
    eip = 0x01ea8f1d   esp = 0xbfffa7e0   ebp = 0xbfffa818
    Found by: previous frame's frame pointer
10  libmozjs.dylib!js_GC [jsgc.cpp:9c68bcd8515e : 3327 + 0xf]
    eip = 0x001fce8d   esp = 0xbfffa820   ebp = 0xbfffa9b8
    Found by: previous frame's frame pointer
11  libmozjs.dylib!JS_NewExternalString [jsapi.cpp:9c68bcd8515e : 2451 + 0xf]
    eip = 0x001b7bab   esp = 0xbfffa9c0   ebp = 0xbfffa9d8
    Found by: previous frame's frame pointer
12  XUL!nsXPConnect::Collect() [nsXPConnect.cpp:9c68bcd8515e : 477 + 0x7]
    eip = 0x01ea6537   esp = 0xbfffa9e0   ebp = 0xbfffaab8
    Found by: previous frame's frame pointer
13  XUL!nsCycleCollector::Collect(unsigned int) [nsCycleCollector.cpp:9c68bcd8515e : 2509 + 0x7]
    eip = 0x02a151a3   esp = 0xbfffaac0   ebp = 0xbfffe998
    Found by: previous frame's frame pointer
14  XUL + 0xb8d4b1
    eip = 0x02a154b2   esp = 0xbfffe9a0   ebp = 0xbfffe9f8
    Found by: previous frame's frame pointer
15  XUL!mozilla::ShutdownXPCOM(nsIServiceManager*) [nsXPComInit.cpp:9c68bcd8515e : 828 + 0x4]
    eip = 0x029cac7f   esp = 0xbfffea00   ebp = 0xbfffea68
    Found by: previous frame's frame pointer
16  XUL + 0x4988
    eip = 0x01e8c989   esp = 0xbfffea70   ebp = 0xbfffeaa8
    Found by: previous frame's frame pointer
17  XUL!XRE_main [nsAppRunner.cpp:9c68bcd8515e : 1047 + 0xd]
    eip = 0x01e90900   esp = 0xbfffeab0   ebp = 0xbfffeff8
    Found by: previous frame's frame pointer
18  firefox-bin!main [nsBrowserApp.cpp:9c68bcd8515e : 158 + 0x18]
    eip = 0x00001d48   esp = 0xbffff000   ebp = 0xbffff058
    Found by: previous frame's frame pointer
19  firefox-bin + 0xbf5
    eip = 0x00001bf6   esp = 0xbffff060   ebp = 0xbffff07c
    Found by: previous frame's frame pointer
20  0x5
    eip = 0x00000006   esp = 0xbffff084   ebp = 0x00000000
    Found by: previous frame's frame pointer
(In reply to comment #1)
OS X 10.5.2 mozilla-central opt test mochitests-2/5 on 2009/12/26 16:47:19
s: bm-xserve18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262768601.1262769380.12995.gz
OS X 10.5.2 mozilla-central opt test mochitests-2/5 on 2010/01/06 01:03:21
s: moz2-darwin9-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263575992.1263576937.9217.gz
OS X 10.5.2 mozilla-central opt test mochitests-2/5 on 2010/01/15 09:19:52
s: moz2-darwin9-slave15
Severity: normal → critical
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263938863.1263940056.28335.gz
OS X 10.5.2 mozilla-central opt test mochitests-2/5 on 2010/01/19 14:07:43  
s: moz2-darwin9-slave17
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264280107.1264280790.17273.gz
OS X 10.5.2 mozilla-central opt test mochitests-2/5 on 2010/01/23 12:55:07
s: moz2-darwin9-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265039662.1265040630.3303.gz
OS X 10.5.2 mozilla-central opt test mochitests-2/5 on 2010/02/01 07:54:22  
s: moz2-darwin9-slave05
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.